function love.load()
  Scene = require('scene')
  view = Scene.newView()

  local gw, gh = love.graphics.getDimensions()
  view:setDimensions(300, 300)
  view:setPosition(gw/2 - 300/2, gh/2 - 300/2)
  view:setBackground(0, 1, 1)

  root = view:newLayer(0, 0)
  sprite = root:newSprite(0, 0)
  local img = love.graphics.newImage('icon.png')
  local iw, ih = img:getDimensions()
  sprite:setGraphic(img, -iw/2, -ih/2)
end

function love.update(dt)
  local mx, my = love.mouse.getPosition()

  local lx, ly = sprite:windowToLocal(mx, my)
  local px, py = sprite:localToParent(lx, ly)
  sprite:setPosition(px, py)
end

function love.draw()
  view:draw()
end